API Reference
Get a job template
GET
/api/job-templates/{id}
Returns the template with its parsed DAG and connector definitions.
Operation IDgetJobTemplate
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Path parameters
idintegerrequiredResource ID
Success response body
200Template with DAG
Template with DAG
Content typeapplication/json
responseobject9 properties
idintegernamestringdescriptionstring | nullyaml_contentstringstatusstringcreated_atstring · date-timeupdated_atstring · date-timedagobject | null2 properties
tasksobjectAdditional properties are allowed.
levelsarray<array<string>>Array items
itemarray<string>Array items
itemstringconnectorsobject | nullAdditional properties
valueobject1 property
typestringError responses
404Resource not found
Resource not found
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "NOT_FOUND",
"message": "Resource not found"
}